For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
DocsAPI Reference
DocsAPI Reference
  • API Reference
      • POSTAdd a Collaborator to a Project
      • POSTBatch create Collaborators and PendingCollaborators within a Project
      • DELBatch delete Collaborators and PendingCollaborators for a Project
      • POSTCreate a Project
      • DELDelete Project by ID
      • GETGet current User(s) membership for a Project
      • GETGet Project by ID
      • GETGet Project Collaborators
      • GETGet Projects by Team
      • PUTUpdate a Project

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceProjects

Batch delete Collaborators and PendingCollaborators for a Project

DELETE
https://api.frame.io/v2/batch/projects/:project_id/collaborators
DELETE
/v2/batch/projects/:project_id/collaborators
1import requests
2
3url = "https://api.frame.io/v2/batch/projects/project_id/collaborators"
4
5payload = { "batch": [{ "email": "jane.doe@example.com" }, { "email": "john.smith@creativeagency.com" }] }
6headers = {
7 "Authorization": "Bearer <token>",
8 "Content-Type": "application/json"
9}
10
11response = requests.delete(url, json=payload, headers=headers)
12
13print(response.json())
1{
2 "error": {
3 "failed@foobar.biz": "User not found or already removed from the project."
4 }
5}
Submit a list of Collaborators you wish to remove from a given Project
Was this page helpful?
Previous

Create a Project

Next

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_idstringRequiredformat: "uuid"

Request

batchlist of objectsRequired

Response

Batch Delete success response
errorobject

Errors

401
Unauthorized Error
404
Not Found Error